## ros-kinetic-ur-gazebo 1.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(ur_gazebo)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY launch controller DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-ur-gazebo (1.2.7-1xenial) xenial; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 22 Nov 2019 23:00:00 -0000

ros-kinetic-ur-gazebo (1.2.6-1xenial) xenial; urgency=high

  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Load the JointGroupPositionController so jog commands can be sent (#422 <https://github.com/ros-industrial/universal_robot/issues/422>)
  * Contributors: AndyZe, Felix Mauch, Qiang Qiu

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kinetic-ur-gazebo (1.2.5-1xenial) xenial; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * UR-E Series (#380 <https://github.com/ros-industrial/universal_robot/issues/380>)
  * Update maintainer and author information.
  * Add roslaunch tests (#362 <https://github.com/ros-industrial/universal_robot/issues/362>)
  * Using the 'doc' attribute on 'arg' elements.
  * Contributors: Dave Niewinski, gavanderhoorn, Harsh Deshpande, Nadia Hammoudeh García

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-ur-gazebo (1.2.1-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-kinetic-ur-gazebo (1.2.0-1xenial) xenial; urgency=high

  * Remove dependency on ros_controllers metapackage.
    As per http://www.ros.org/reps/rep-0127.html, packages are not allowed to
    depend on metapackages.
  * Contributors: Miguel Prada

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-kinetic-ur-gazebo (1.1.9-1xenial) xenial; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-kinetic-ur-gazebo (1.1.8-1xenial) xenial; urgency=high

  * ur_gazebo: escape underscore in changelog (#279 <https://github.com/ros-industrial/universal_robot/issues/279>).
  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-kinetic-ur-gazebo (1.1.7-1xenial) xenial; urgency=high

  * ur_gazebo: add controller_manager as run dependency.
  * Contributors: Hans-Joachim Krauch

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-kinetic-ur-gazebo (1.1.6-1xenial) xenial; urgency=high

  * provide launch files for ur3
  * use controller_manager spawn
  * allow to start gazebo without gui
  * adjust controllers to new hardwareInterface - affects simulation only
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-ur-gazebo (1.0.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-ur-gazebo (1.0.1-1xenial) xenial; urgency=high

  * adapt launch files in order to be able to use normal/limited xacro
  * updates for latest gazebo under hydro
  * Contributors: ipa-fxm
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * removed ``arm_`` prefix from joint names in gazebo controller config
  * Renamed packages and new groovy version
  * Added ur10 and renamed packages
  * Contributors: IPR-SR2, Kelsey, Mathias Lüdtke, ipa-nhg, robot

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ur-gazebo
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/ur_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-ur-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-effort-controllers, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-position-controllers, ros-kinetic-robot-state-publisher, ros-kinetic-rostopic, ros-kinetic-ur-description
Description: Gazebo wrapper for the Universal UR5/10 robot arms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ur-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
